com.genesyslab.wfm8.API.service.session800

## Class RequestStatus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.session800.RequestStatus

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestStatus
      extends java.lang.Object
      implements java.io.Serializable

  RequestStatus.java This file was auto-generated from WSDL by the Apache Axis 1.2.1 Jun 14, 2005 (09:15:57 EDT) WSDL2Java emitter.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `progress` Request progress (0-100)
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `status` Current process status description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getProgress()` Gets the value of the progress property.
    `java.lang.String` | `getStatus()` Gets the value of the status property.
    `int` | `hashCode()`
    `void` | `setProgress(int value)` Sets the value of the progress property.
    `void` | `setStatus(java.lang.String value)` Sets the value of the status property.
    `java.lang.String` | `toString()`
    `RequestStatus` | `withProgress(int value)`
    `RequestStatus` | `withStatus(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### progress

          protected int progress

      Request progress (0-100)

    - #### status

          protected java.lang.String status

      Current process status description

  - ### Constructor Detail

    - #### RequestStatus

          public RequestStatus()

  - ### Method Detail

    - #### getProgress

          public int getProgress()

      Gets the value of the progress property.

    - #### setProgress

          public void setProgress(int value)

      Sets the value of the progress property.

    - #### getStatus

          public java.lang.String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(java.lang.String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

    - #### withProgress

          public RequestStatus withProgress(int value)

    - #### withStatus

          public RequestStatus withStatus(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.